@import "mixins";
@import "variables";

.banner {
  background: url("../images/header_banner.png")  center no-repeat;
  &__content {
    display: flex;
    flex-direction: column;
    position: relative;
    align-items: center;
    padding: 40px 0;
    text-align: center;
    height: 615px;
    @include tablet{
      height: 730px;
      padding: 98px 0;
    }
    @include laptop{
      height: 682px;
      padding: 40px 0;
    }
    @include desktop{
      height: 700px;
      padding: 50px 0;
    }

  }

  &__text {
    font-family: $font-Montserrat;
    font-weight: 600;
    font-size: 48px;
    color: white;
    @include tablet{
      font-size: 54px;
    }
    @include laptop {
      font-size: 72px;
    }
    @include desktop {
      font-size: 82px;
    }
  }

  &__slogan {
    font-family: $font-Montserrat;
    font-weight: 500;
    font-size: 18px;
    color: $main-page-text-color;
    line-height: 2;
    margin-top: 9px;
    @include tablet {
      font-size: 20px;
      padding: 0 20px;
      margin-top: 25px;
      line-height: 1.8;
    }

    @include laptop {
      font-family: $font-Lato;
      font-size: 24px;
      margin-top: 15px;
    }
    @include desktop {
      font-family: $font-Lato;
      font-size: 30px;
      margin-top: 5px;
    }
  }

  &__info {
    font-family: $font-Montserrat;
    font-weight: 400;
    font-size: 14px;
    color: #848e97;
    text-transform: uppercase;
    margin-top: 10px;
    @include tablet {
      font-size: 16px;
      margin-top: 15px;
    }
    @include desktop {
      font-size: 16px;
      margin-top: 5px;
    }
  }

  &__btn {
    position: absolute;
    left: 50%;
    bottom: 0;
    transform: translate(-50%,50%);
    background-color: $main-page-text-color;
    border: none;
    color: white;
    padding: 12px 25px;
    white-space: nowrap;
    border-radius: 30px;
    font-family: $font-Montserrat;
    font-weight: 600;
    font-size: 19px;
    cursor: pointer;

    @include tablet {
      padding: 20px 60px;
      font-size: 21px;
    }
    @include laptop {
      padding: 20px 60px;
      font-size: 21px;
    }
    @include desktop {
      padding: 20px 60px;
      font-size: 21px;
    }
  }
}
